## qt4-x11 4.8.4+dfsg

=== debian/changelog ===
qt4-x11 (4:4.8.4+dfsg-0ubuntu9) raring; urgency=low

  * Fix moc tripping over BOOST_JOIN. (LP: #1119656)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 27 Mar 2013 00:02:12 +0000

qt4-x11 (4:4.8.4+dfsg-0ubuntu8) raring; urgency=low

  [ Harald Sitter ]
  * Drop kdeqt.pot creation. Not used anymore (fixes build with new
    pkg-kde-tools)

  [ Dmitry Shachnev ]
  * debian/patches/kubuntu_41_remove_gtk_theme_check.diff:
    do not check that Gtk theme is not empty (LP: #1094360).

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 11:10:45 +0100

qt4-x11 (4:4.8.4+dfsg-0ubuntu7) raring; urgency=low

  * Fix header file, causing build failure with GCC 4.8.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2013 11:00:45 +0100

qt4-x11 (4:4.8.4+dfsg-0ubuntu6) raring; urgency=low

  * Cherry pick upstream commit 5b285845a3c3478a4008b7e3416c3912c69fd20b
    as QTBUG-29082_Fix_call_to_QMetaObject_metaCall_from_updateProperty.patch
    to fix a crash in QML to fix kde bug 311751.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 19 Feb 2013 19:22:01 +0100

qt4-x11 (4:4.8.4+dfsg-0ubuntu5) raring; urgency=low

  * SECURITY UPDATE: incorrect errors with certificate verification
    - debian/patches/CVE-2012-6093.patch: use openssl access functions to
      properly handle layout changes in
      src/network/ssl/qsslsocket_openssl.cpp,
      src/network/ssl/qsslsocket_openssl_symbols.cpp,
      src/network/ssl/qsslsocket_openssl_symbols_p.h.
    - CVE-2012-6093
  * SECURITY UPDATE: shared memory segments incorrect permissions
    - debian/patches/CVE-2013-0254.patch: set appropriate permissions in
      src/corelib/kernel/qsharedmemory_unix.cpp,
      src/corelib/kernel/qsystemsemaphore_unix.cpp,
      src/gui/image/qnativeimage.cpp,
      src/gui/image/qpixmap_x11.cpp,
      src/plugins/platforms/xcb/qxcbwindowsurface.cpp,
      src/plugins/platforms/xlib/qxlibwindowsurface.cpp,
      tools/qvfb/qvfbshmem.cpp.
    - CVE-2013-0254

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Feb 2013 12:40:48 -0500

qt4-x11 (4:4.8.4+dfsg-0ubuntu4) raring; urgency=low

  * debian/control:
    - change the build-dep order the way around to get previous packages
      depending on libqt4-dev still building. libqt4-dev dep on
      qt4-default | qt-default to ensure at least one version of qmake & co
      is targetted. qt{4,5}-default will provide qt-default.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 08 Feb 2013 13:21:39 +0100

qt4-x11 (4:4.8.4+dfsg-0ubuntu3) raring; urgency=low

  [ Harald Sitter]
  * Rename fix_medium_font.diff to kubuntu_39_fix_medium_font.diff to reflect
    its origin.
  * Apply kubuntu patches in numeric order.
  * Add more dep3 tags to kubuntu patches.

  [ Timo Jyrinki ]
  * Migrate to use qtchooser for Qt5 co-installation support
    - Libraries co-installed, executables managed by qtchooser
    - Packages will need build-dep on qt4-default to build against Qt4
    - Symlinks left for binaries that had -qt4 via alternatives
  * Clean alternatives on upgrade
  * Add qt4-default package

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 16 Jan 2013 07:58:47 +0000

qt4-x11 (4:4.8.4+dfsg-0ubuntu2) raring; urgency=low

  * Add kubuntu_40_disable_neon.patch disable neon for Ubuntu since armel
    is no longer supported.

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 13 Jan 2013 08:02:00 -0700

qt4-x11 (4:4.8.4+dfsg-0ubuntu1) raring; urgency=low

  * New upstream release
  * Remove QTBUG-14724_close_orphaned_file_descriptors_after_printing.patch
    now upstream
  * Remove disable-SSL-compression-by-default.patch now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Jan 2013 12:27:22 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QTDIR := $(shell pwd)
export PATH := $(QTDIR)/bin:$(PATH)
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
# Use -gstabs instaed of -g on armel and armhf to make the link step complete
# within buildd limitations
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
export CFLAGS := $(CFLAGS:-g=-gstabs)
export CXXFLAGS := $(CXXFLAGS:-g=-gstabs)
endif
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
# workaround to use lrelease.
export LD_LIBRARY_PATH := $(QTDIR)/lib:$(LD_LIBRARY_PATH)
# workaround to use qhelpgenerator.
export QT_PLUGIN_PATH := $(QTDIR)/plugins

# Packages with own debug package
pkgs_dbg := $(shell dh_listpackages | grep dbg | sed -e '/libqt4-dbg/d; s|-dbg||')
# Packages whose debug symbols belong to qt4-bin-dbg
pkgs_dbgbin := libqt4-dev-bin $(filter-out %-dbg lib% $(pkgs_dbg),$(shell dh_listpackages))
# Library package list for override_dh_makeshlibs, excludes libqt4-phonon
pkgs_lib := $(filter-out %-dev %-dbg libqt4-phonon libqt4-dev-bin,$(filter lib%,$(shell dh_listpackages)))
# Upstream changelog
upstream_changes := $(wildcard changes-*)
# Current debian version (e.g.: 4:4.5.2-1)
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
# Specific shlibs version (e.g.: 4:4.5.2)
shlibs_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# libqt4-phonon shlibs. Minimum libphonon4 version may need adjusting for new
# Qt upstream release
libqt4phonon_shlibs := libphonon4 (>= 4:4.6.0) | libqt4-phonon (= $(current_version))
# Distribution vendor
vendor := $(shell dpkg-vendor --query Vendor)

ifneq (,$(filter %-sql-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

ifneq (,$(filter %-sql-sqlite2,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-sqlite2
else
	extra_configure_opts += -no-sql-sqlite2
endif

ifeq ($(DEB_HOST_ARCH),arm)
	extra_configure_opts += -DQT_QLOCALE_USES_FCVT
endif

armv6_architectures := armhf
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(armv6_architectures)))
	extra_configure_opts += -arch armv6
endif

ifeq ($(vendor),Ubuntu)
gles2_architectures := armhf
ifeq ($(DEB_HOST_ARCH),armhf)
	extra_configure_opts += -no-neon
endif
else
gles2_architectures := none_for_now
endif
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	extra_configure_opts += -opengl es2
else
	extra_configure_opts += -opengl desktop \
	                        -no-egl
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64))
	platform_arg = linux-g++
  else ifeq ($(DEB_HOST_ARCH_BITS),64)
	platform_arg = linux-g++-64
  else
	platform_arg = linux-g++
  endif
else
  ifeq ($(DEB_HOST_ARCH_OS),hurd)
	platform_arg = hurd-g++
  else
	platform_arg = glibc-g++
  endif
endif

ifneq ($(DEB_HOST_ARCH),ia64)
	extra_dh_opts += --parallel
endif

%:
	dh $@ $(extra_dh_opts) --with pkgkde_symbolshelper

override_dh_auto_configure:
	# Test broken hppa kernel with glibc >= 2.5
ifeq ($(DEB_HOST_ARCH),hppa)
	mkdir -p debian/hppa-tmp
	echo "Testing whether getdents kernel bug is present on this buildd - see #433768"
	gcc -o debian/hppa-tmp/hppa-test-program debian/readdir-hppa-test.c
	cd $(CURDIR)/doc/src/images && $(CURDIR)/debian/hppa-tmp/hppa-test-program | sort > $(CURDIR)/debian/hppa-tmp/readdir_r-out
	cd $(CURDIR)/doc/src/images && ls -a | sort > $(CURDIR)/debian/hppa-tmp/ls-a-out
	@if ! diff -q $(CURDIR)/debian/hppa-tmp/readdir_r-out $(CURDIR)/debian/hppa-tmp/ls-a-out ; \
		then \
		echo "Kernel bug present. This will misbuild qt4 if proceeding. Failing" ; \
		echo "Please update kernel and test again" ; \
		exit 5 ; \
	fi
endif

	# Create mkspecs/glibc-g++ from mkspecs/linux-g++, needed by GNU/kFreeBSD
	# we cannot use directly linux-g++ due to src/corelib/io/io.pri
	rm -rf mkspecs/glibc-g++
	cp -a mkspecs/linux-g++ mkspecs/glibc-g++

	# Remove include directory. Then ./configure will take care of calling
	# syncqt and regenerating it.
	rm -rf include

	./configure -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt4/doc" \
	            -headerdir "/usr/include/qt4" \
	            -datadir "/usr/share/qt4" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports" \
	            -translationdir "/usr/share/qt4/translations" \
	            -sysconfdir "/etc/xdg" \
	            -demosdir "/usr/lib/qt4/demos" \
	            -examplesdir "/usr/lib/qt4/examples" \
	            -opensource \
	            -fast \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -xmlpatterns \
	            -no-multimedia \
	            -audio-backend \
	            -no-phonon \
	            -no-phonon-backend \
	            -svg \
	            -no-webkit \
	            -script \
	            -scripttools \
	            -platform $(platform_arg) \
	            -system-zlib \
	            -system-libtiff \
	            -system-libpng \
	            -system-libjpeg \
	            -no-rpath \
	            -optimized-qmake \
	            -dbus-linked \
	            -reduce-relocations \
	            -no-separate-debug-info \
	            -verbose \
	            -gtkstyle \
	            -system-nas-sound \
	            -no-openvg \
	            -lfontconfig \
	            -I/usr/include/freetype2 \
	            -qvfb \
	            -icu \
	            $(extra_configure_opts)

	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri

override_dh_auto_build:
	dh_auto_build
	# Build documentations
ifneq (,$(filter qt4-doc, $(shell dh_listpackages)))
	# Build documentations
	dh_auto_build -Smakefile -- docs
endif
	# Build translations
	dh_auto_build -Smakefile -- -C translations ts-all
	# Workaround: It's a known qmake limitation.
	# It can't generate install rules for files that don't exist yet like docs.
	./config.status
	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;

	# Misc. directories
	rm -rf \
	  doc-build/ \
	  doc/html/ \
	  doc/qch/ \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  include/ \
	  lib/ \
	  mkspecs/glibc-g++/ \
	  plugins/ \
	;

	# hppa test directory
	rm -rf debian/hppa-tmp

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf

	# Leftover files and all symlinks
	find \( -false \
	  -o -name \*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name \*.so \
	  -o -name \*.so.debug \

## qt4-x11 4.8.5%2Bgit192-g085f851%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
 export CFLAGS := $(CFLAGS:-g=-gstabs)
 export CXXFLAGS := $(CXXFLAGS:-g=-gstabs)
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+export CXXFLAGS := -fpermissive $(CXXFLAGS)
 endif
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 # workaround to use lrelease.
@@ -61,23 +64,27 @@
 endif
 
 ifeq ($(vendor),Ubuntu)
-gles2_architectures := armhf
-ifeq ($(DEB_HOST_ARCH),armhf)
-	extra_configure_opts += -no-neon
-endif
+gles2_architectures := armel armhf
 else
 gles2_architectures := none_for_now
 endif
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
-	extra_configure_opts += -opengl es2
+	extra_configure_opts += -opengl es2 \
+	                        -no-neon
 else
 	extra_configure_opts += -opengl desktop \
 	                        -no-egl
+endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+	extra_configure_opts += -no-javascript-jit
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64))
 	platform_arg = linux-g++
+  else ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+	platform_arg = linux-g++-aarch64
   else ifeq ($(DEB_HOST_ARCH_BITS),64)
 	platform_arg = linux-g++-64
   else
@@ -91,12 +98,13 @@
   endif
 endif
 
-ifneq ($(DEB_HOST_ARCH),ia64)
-	extra_dh_opts += --parallel
+no_pch_architectures := armhf powerpc
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
+	extra_configure_opts += -no-pch
 endif
 
 %:
-	dh $@ $(extra_dh_opts) --with pkgkde_symbolshelper
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	# Test broken hppa kernel with glibc >= 2.5
@@ -231,17 +239,3 @@
 	  -o -name .pch \
 	  -o -name pkgconfig \
 	  -o -name .rcc \
-	  -o -name release-shared \
-	  -o -name release-static \
-	  -o -name .uic \
-	\) -print0 | xargs -0 rm -rf
-
-	# Leftover files and all symlinks
-	find \( -false \
-	  -o -name \*.a \
-	  -o -name Makefile.Debug \
-	  -o -name Makefile.Release \
-	  -o -name \*.o \
-	  -o -name \*.prl \
-	  -o -name \*.so \
-	  -o -name \*.so.debug \

## qt4-x11 4.8.5+git192

=== src/3rdparty/phonon/gstreamer/CMakeLists.txt ===
# Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
# Copyright (C) 2008 Matthias Kretz <kretz@kde.org>
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 or 3 of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.

project(phonon-gstreamer)
include(ConfigureChecks.cmake)

if (BUILD_PHONON_GSTREAMER)
   include_directories(
	  ${CMAKE_CURRENT_BINARY_DIR}
	  ${GSTREAMER_INCLUDE_DIR}
	  ${GLIB2_INCLUDE_DIR}
      ${LIBXML2_INCLUDE_DIR}
	  ${X11_X11_INCLUDE_PATH})
   add_definitions(-DPHONON_BACKEND_VERSION_4_2)

   # configure plugin api
   if(USE_INSTALL_PLUGIN)
      set(PLUGIN_INSTALL_API TRUE)
   endif(USE_INSTALL_PLUGIN)

   configure_file(phonon-config-gstreamer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/phonon-config-gstreamer.h )

   set(phonon_gstreamer_SRCS
      audiooutput.cpp
      backend.cpp
      devicemanager.cpp
      effectmanager.cpp
      gsthelper.cpp
      mediaobject.cpp
      medianode.cpp
      effect.cpp
      medianodeevent.cpp
      videowidget.cpp
      qwidgetvideosink.cpp
      streamreader.cpp
      phononsrc.cpp
      message.cpp
      audioeffect.cpp
      abstractrenderer.cpp
      widgetrenderer.cpp
      glrenderer.cpp
      volumefadereffect.cpp
      audiodataoutput.cpp
      )

   if(NOT WIN32)
      set(phonon_gstreamer_SRCS
          ${phonon_gstreamer_SRCS}
          artssink.cpp
          x11renderer.cpp)
      macro_optional_find_package(Alsa)
      macro_ensure_version("0.10.22" ${GSTREAMER_VERSION} GSTREAMER_HAS_NONBLOCKING_ALSASINK)
   endif(NOT WIN32)
   if(ALSA_FOUND AND NOT GSTREAMER_HAS_NONBLOCKING_ALSASINK)
      add_definitions(-DUSE_ALSASINK2)
      include_directories(${ALSA_INCLUDES})
      set(phonon_gstreamer_SRCS
         ${phonon_gstreamer_SRCS}
         alsasink2.c
         )
   endif(ALSA_FOUND AND NOT GSTREAMER_HAS_NONBLOCKING_ALSASINK)

   automoc4_add_library(phonon_gstreamer MODULE ${phonon_gstreamer_SRCS})
   set_target_properties(phonon_gstreamer PROPERTIES PREFIX "")
   target_link_libraries(phonon_gstreamer
      ${QT_QTOPENGL_LIBRARY}
      ${PHONON_LIBS} ${OPENGL_gl_LIBRARY}
      ${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}
      ${GSTREAMER_PLUGIN_VIDEO_LIBRARIES} ${GSTREAMER_PLUGIN_AUDIO_LIBRARIES}
      ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES})
   if(ALSA_FOUND)
      target_link_libraries(phonon_gstreamer ${ASOUND_LIBRARY})
   endif(ALSA_FOUND)
   if(USE_INSTALL_PLUGIN)
       target_link_libraries(phonon_gstreamer ${GSTREAMER_PLUGIN_PBUTILS_LIBRARIES})
   endif(USE_INSTALL_PLUGIN)

   install(TARGETS phonon_gstreamer DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/phonon_backend)
   install(FILES gstreamer.desktop DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)
endif (BUILD_PHONON_GSTREAMER)

=== src/3rdparty/webkit/Source/JavaScriptCore/shell/CMakeLists.txt ===
SET(JSC_HEADERS
)

SET(JSC_SOURCES
    ../jsc.cpp
)

SET(JSC_LIBRARIES
    ${JavaScriptCore_LIBRARY_NAME}
)

INCLUDE_IF_EXISTS(${JAVASCRIPTCORE_DIR}/shell/CMakeLists${PORT}.txt)

WEBKIT_WRAP_SOURCELIST(${JSC_SOURCES})
INCLUDE_DIRECTORIES(./ ${JavaScriptCore_INCLUDE_DIRECTORIES})
ADD_EXECUTABLE(${JSC_EXECUTABLE_NAME} ${JSC_HEADERS} ${JSC_SOURCES})
TARGET_LINK_LIBRARIES(${JSC_EXECUTABLE_NAME} ${JSC_LIBRARIES})

IF (JSC_LINK_FLAGS)
    ADD_TARGET_PROPERTIES(${JSC_EXECUTABLE_NAME} LINK_FLAGS "${JSC_LINK_FLAGS}")
ENDIF ()

IF (SHARED_CORE)
    SET_TARGET_PROPERTIES(${JSC_EXECUTABLE_NAME} PROPERTIES VERSION ${PROJECT_VERSION})
ENDIF ()

## qt4-x11 4.8.5+git192-g085f851+dfsg

=== debian/changelog ===
qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted GIF image
    - debian/patches/CVE-2014-0190.patch: check for broken image in
      src/gui/image/qgifhandler.cpp.
    - CVE-2014-0190
  * SECURITY UPDATE: denial of service via crafted BMP
    - debian/patches/CVE-2015-0295.patch: fix division by zero in
      src/gui/image/qbmphandler.cpp.
    - CVE-2015-0295
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted BMP or ICO images
    - debian/patches/CVE-2015-1858-1859.patch: move check to better
      location in src/gui/image/qbmphandler.cpp, check depth in
      src/plugins/imageformats/ico/qicohandler.cpp.
    - CVE-2015-1858
    - CVE-2015-1859
  * SECURITY UPDATE: denial of service and possible code exection via
    crafted GIF image
    - debian/patches/CVE-2015-1860.patch: check bounds in
      src/gui/image/qgifhandler.cpp.
    - CVE-2015-1860

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 May 2015 13:49:04 -0400

qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu4) trusty; urgency=medium

  [ Jonathan Riddell ]
  * Add kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff from LiMux
    fix crash in LibreOffice with KDE theme LP: #1290514

  [ Rohan Garg ]
  * Add kubuntu_98_a11y_fix_crash.diff to fix plasma crashing due to 
    ubuntu-specific accessibility patch LP: #1289600

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Mar 2014 13:29:27 +0000

qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu3) trusty; urgency=medium

  * Make libqtdbus4 break/replace libqt4-dbus (<< 4:4.8.5) (LP: #1268690).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 14 Jan 2014 11:58:48 +0000

qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu2) trusty; urgency=medium

  * debian/libqt4-dev.install: Readd qatomic_aarch64.h (dropped in last upload)
    to presumably fix build failures on arm64 against qt4-x11.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 Jan 2014 22:55:55 -0500

qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2ubuntu1) trusty; urgency=low

  [ Rohan Garg, Dmitry Shachnev ]
  * Merge from Debian unstable.  Remaining changes:
    - Pass list-missing to dh_install instead of fail-missing, since we don't
      install the QtWebkit headers
    - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude usr/bin/assistant-qt4 from dh_shlibdeps
    - Also exclude webkit examples from dh_shlibdeps
    - Do not build libqt4-phonon, disable in debian/control
    - Add debian/Trolltech.conf and install it in libqtcore4.install
    - On armel and armhf, build with -gstabs instead of -g in an effort to get
      the link step for QtWebkit to complete before timed out by the builders
    - Build with -no-neon on armel and armhf
    - Build with -no-pch on powerpc
    - Add patches:
      + aarch64_fix_atomic_set.patch
      + aarch64_fix_jsc.patch
      + aarch64.patch
      + kubuntu_10_ibus_input_method.diff
      + kubuntu_12_fix_stack_protector.diff
      + kubuntu_14_systemtrayicon.diff
      + kubuntu_17_enable_qtwebkit_for_qtassistant.diff
      + kubuntu_28_xi2.1.patch
      + kubuntu_30_translucent_drag_pixmap.diff
      + kubuntu_31_unity_workarea_atom.diff
      + kubuntu_34_no_gold_check.diff
      + kubuntu_37_cups_settings.diff
      + kubuntu_39_fix_medium_font.diff
      + kubuntu_40_disable_neon.patch
      + kubuntu_93_disable_overlay_scrollbars.diff
      + kubuntu_94_xinput_valuators_fix.diff
      + kubuntu_95_qt_disable_bounce.diff
      + kubuntu_97_a11y_qt_and_qml_backport.diff
    - Drop powerpc_designer_gstabs.diff, it breaks powerpc
    - Use Kubuntu Vcs fields
  * Drop the following patches, applied upstream:
    - QTBUG-29082_Fix_call_to_QMetaObject_metaCall_from_updateProperty.patch
    - CVE-2013-4549.patch
    - gcc-4.8.diff
    - CVE-2011-3922.patch
    - CVE-2012-6093.patch
    - CVE-2013-0254.patch
    - kubuntu_41_remove_gtk_theme_check.diff
    - kubuntu_42_fix_icon_themes.diff
    - kubuntu_default_numbers.diff
    - moc-boost148-53.patch
  * Rebase patches:
    - kubuntu_28_xi2.1.patch
    - ppc64el.patch
    - aarch64.patch

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 03 Jan 2014 19:33:31 +0100

qt4-x11 (4:4.8.5+git192-g085f851+dfsg-2) unstable; urgency=low

  * Fix typo created when refreshing a patch for s390x which created a FTBFS.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Dec 2013 16:38:43 -0300

qt4-x11 (4:4.8.5+git192-g085f851+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot. This includes the fix for CVE-2013-4549: XML
    Entity Expansion Denial of Service. Set severity to medium.
  * Update symbols fles with buildds' logs and current build.
  * Refresh patches.
  * Install new translation.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 Dec 2013 20:45:43 -0300

qt4-x11 (4:4.8.5+git121-g2a9ea11+dfsg1-2) unstable; urgency=low

  * Remove Fix_JavaScriptCore_ftbfs_on_mips64_el.patch, it makes 32 bits
    platforms FTBFS.
  * Take back s390x_jscore.diff to it's original state.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 11 Oct 2013 20:53:25 -0300

qt4-x11 (4:4.8.5+git121-g2a9ea11+dfsg1-1) unstable; urgency=low

  * Add Fix_JavaScriptCore_ftbfs_on_mips64_el.patch. It just needs to be
    approved upstream, but it has been already ACKed (Closes: #719763).
    - Fix s390x_jscore.diff so it can be applied on top of the above mentioned
    patch. This last one seems not pushed upstream.
  * Remove sources with minified javascript libs without source


=== debian/control ===
Source: qt4-x11
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               flex,
               freetds-dev,
               g++ (>= 4:4.5) [s390],
               g++-4.6 (>= 4.6.0-7~) [armel],
               libasound2-dev [linux-any],
               libaudio-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfreetype6-dev,
               libgl1-mesa-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf],
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libgtk2.0-dev,
               libice-dev,
               libicu-dev,
               libjpeg-dev,
               libmng-dev,
               libmysqlclient-dev,
               libpam0g-dev,
               libpng-dev,
               libpq-dev,
               libreadline-dev,
               libsm-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libxv-dev,
               pkg-kde-tools (>= 0.14.2),
               rsync,
               unixodbc-dev,
               zlib1g-dev
Build-Conflicts: libqtwebkit-dev
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qt
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qt

Package: libqtcore4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qtcore4-l10n, ${misc:Depends}, ${shlibs:Depends}
Suggests: libicu48, libthai0
Description: Qt 4 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: qtcore4-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libqtcore4 (<< 4:4.8.5+dfsg-1~)
Replaces: libqtcore4 (<< 4:4.8.5+dfsg-1~)
Description: Qt 4 core module translations
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the translations of the QtCore module.

Package: libqt4-core
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqt4-dbus (= ${binary:Version}),
         libqt4-network (= ${binary:Version}),
         libqt4-script (= ${binary:Version}),
         libqt4-test (= ${binary:Version}),
         libqt4-xml (= ${binary:Version}),
         libqtcore4 (= ${binary:Version}),
         ${misc:Depends}
Description: transitional package for Qt 4 core non-GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package to enable installation of other packages
 linked against Qt 4.3 or earlier Qt 4 releases previously shipped.

Package: libqtgui4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Suggests: qt4-qtconfig
Description: Qt 4 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: libqt4-gui
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqt4-designer (= ${binary:Version}),
         libqt4-opengl (= ${binary:Version}),
         libqt4-svg (= ${binary:Version}),
         libqtgui4 (= ${binary:Version}),
         ${misc:Depends}
Description: transitional package for Qt 4 GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package depending on the Qt 4 GUI library
 packages which the package of the same name used to provide in Qt 4.3.4
 and earlier packages of Qt 4.

Package: libqt4-network
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ca-certificates
Description: Qt 4 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt4-opengl
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt4-script
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 script module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScript module provides classes for making Qt applications scriptable.

Package: libqt4-scripttools
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 script tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScriptTools module provides additional components for applications that
 use Qt Script.
 .
 This package contains the Qt Script debugger, a tool for debugging script
 execution in Qt applications that use Qt Script.

Package: libqt4-sql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt4-sql-mysql | libqt4-sql-odbc | libqt4-sql-psql | libqt4-sql-sqlite
Suggests: libqt4-dev
Description: Qt 4 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.
 .
 If you wish to use the SQL module for development, you should install the
 libqt4-dev package.

#Package: libqt4-sql-ibase
#Architecture: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc
#Multi-Arch: same
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Suggests: libqt4-dev
#Description: Qt 4 InterBase/FireBird database driver
# This package contains the InterBase/FireBird plugin for Qt 4.
# .
# Install it if you intend to use or write Qt programs that are to access an
# InterBase/FireBird DB.

Package: libqt4-sql-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 MySQL database driver
 This package contains the MySQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt4-sql-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 ODBC database driver
 This package contains the ODBC plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt4-sql-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt4-sql-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

#Package: libqt4-sql-sqlite2
#Architecture: any
#Multi-Arch: same
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Suggests: libqt4-dev
#Description: Qt 4 SQLite 2 database driver
# This package contains the SQLite 2 plugin for Qt 4.
# .
# Install it if you intend to use or write Qt programs that are to access an
# SQLite 2 DB.

Package: libqt4-sql-tds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt4-svg
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 SVG module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: libqt4-webkit
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqtwebkit4 (>= 2.0~), ${misc:Depends}
Description: transitional package for Qt 4 WebKit module
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package to enable installation of other packages
 linked against Qt WebKit 4.4 - 4.6 releases previously shipped from Qt source.

Package: libqt4-xml
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt4-xmlpatterns
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 XML patterns module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.

Package: libqt4-dbus
Architecture: any
Multi-Arch: same
Depends: libqtdbus4 (= ${binary:Version}),

## qt4-x11 4.8.6%2Bgit64-g5dc8b2b%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,6 @@
 export PATH := $(QTDIR)/bin:$(PATH)
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-# Use -gstabs instaed of -g on armel and armhf to make the link step complete
-# within buildd limitations
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
-export CFLAGS := $(CFLAGS:-g=-gstabs)
-export CXXFLAGS := $(CXXFLAGS:-g=-gstabs)
-endif
-ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
-export CXXFLAGS := -fpermissive $(CXXFLAGS)
-endif
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 # workaround to use lrelease.
 export LD_LIBRARY_PATH := $(QTDIR)/lib:$(LD_LIBRARY_PATH)
@@ -69,22 +60,15 @@
 gles2_architectures := none_for_now
 endif
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
-	extra_configure_opts += -opengl es2 \
-	                        -no-neon
+	extra_configure_opts += -opengl es2
 else
 	extra_configure_opts += -opengl desktop \
 	                        -no-egl
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
-	extra_configure_opts += -no-javascript-jit
-endif
-
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64))
+  ifneq (,$(filter $(DEB_HOST_ARCH),alpha arm64 ia64 mips64 mips64el))
 	platform_arg = linux-g++
-  else ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
-	platform_arg = linux-g++-aarch64
   else ifeq ($(DEB_HOST_ARCH_BITS),64)
 	platform_arg = linux-g++-64
   else
@@ -98,7 +82,7 @@
   endif
 endif
 
-no_pch_architectures := armhf powerpc
+no_pch_architectures := arm64 armhf ia64 powerpc ppc64 ppc64el
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
 	extra_configure_opts += -no-pch
 endif
@@ -124,12 +108,12 @@
 
 	# Create mkspecs/glibc-g++ from mkspecs/linux-g++, needed by GNU/kFreeBSD
 	# we cannot use directly linux-g++ due to src/corelib/io/io.pri
-	rm -rf mkspecs/glibc-g++
+	rm -rfv mkspecs/glibc-g++
 	cp -a mkspecs/linux-g++ mkspecs/glibc-g++
 
 	# Remove include directory. Then ./configure will take care of calling
 	# syncqt and regenerating it.
-	rm -rf include
+	rm -rfv include
 
 	./configure -confirm-license \
 	            -prefix "/usr" \
@@ -155,7 +139,7 @@
 	            -xmlpatterns \
 	            -no-multimedia \
 	            -audio-backend \
-	            -no-phonon \
+	            -phonon \
 	            -no-phonon-backend \
 	            -svg \
 	            -no-webkit \
@@ -181,9 +165,6 @@
 	            -icu \
 	            $(extra_configure_opts)
 
-	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
-	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri
-
 override_dh_auto_build:
 	dh_auto_build
 	# Build documentations
@@ -196,8 +177,6 @@
 	# Workaround: It's a known qmake limitation.
 	# It can't generate install rules for files that don't exist yet like docs.
 	./config.status
-	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
-	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) confclean distclean
@@ -205,7 +184,7 @@
 	# Extra stuff missed by confclean/distclean
 
 	# Misc. files
-	rm -f \
+	rm -fv \
 	  config.status \
 	  config.tests/.qmake.cache \
 	  examples/dbus/*/Makefile.* \
@@ -214,7 +193,7 @@
 	;
 
 	# Misc. directories
-	rm -rf \
+	rm -rfv \
 	  doc-build/ \
 	  doc/html/ \
 	  doc/qch/ \
@@ -227,7 +206,7 @@
 	;
 
 	# hppa test directory
-	rm -rf debian/hppa-tmp
+	rm -rfv debian/hppa-tmp
 
 	# Leftover dirs
 	find -depth -type d \( -false \
@@ -239,3 +218,35 @@
 	  -o -name .pch \
 	  -o -name pkgconfig \
 	  -o -name .rcc \
+	  -o -name release-shared \
+	  -o -name release-static \
+	  -o -name .uic \
+	\) -print0 | xargs -0 rm -rfv
+
+	# Leftover files and all symlinks
+	find \( -false \
+	  -o -name \*.a \
+	  -o -name Makefile.Debug \
+	  -o -name Makefile.Release \
+	  -o -name \*.o \
+	  -o -name \*.prl \
+	  -o -name \*.so \
+	  -o -name \*.so.debug \
+	  -o -type l \
+	\) -print0 | xargs -0 rm -rfv
+
+	# Delete all Makefiles, excluding some from src/3rdparty
+	find $(CURDIR) -name Makefile \
+	  ! -path $(CURDIR)/src/3rdparty/Makefile \
+	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
+	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
+	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
+	-print0 | xargs -0 rm -rfv
+
+	# Any remaining executables
+	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
+	| grep -e application/x-executable \
+	| cut -d ':' -f 1 | xargs rm -fv
+
+	# Generated on build
+	rm -fv debian/shlibs.local
